ARDUINO COMMAND LINE MANUAL(1)

NAME
arduino-cli-lib-search - Searches for one or more libraries matching a query.

SYNOPSIS
arduino-cli lib search [SEARCH_TERM ...] [flags]

DESCRIPTION
Search for libraries matching zero or more search terms.

All searches are performed in a case-insensitive fashion. Queries containing multiple search terms will return only libraries that match all of the terms.

Search terms that do not match the QV syntax described below are basic search terms, and will match libraries that include the term anywhere in any of the following fields:
 - Author
 - Name
 - Paragraph
 - Provides
 - Sentence

A special syntax, called qualifier-value (QV), indicates that a search term should be compared against only one field of each library index entry. This syntax uses the name of an index field (case-insensitive), an equals sign (=) or a colon (:), and a value, e.g. 'name=ArduinoJson' or 'provides:tinyusb.h'.

QV search terms that use a colon separator will match all libraries with the value anywhere in the named field, and QV search terms that use an equals separator will match only libraries with exactly the provided value in the named field.

QV search terms can include embedded spaces using double-quote (") characters around the value or the entire term, e.g. 'category="Data Processing"' and '"category=Data Processing"' are equivalent. A QV term can include a literal double-quote character by preceding it with a backslash () character.

NOTE: QV search terms using double-quote or backslash characters that are passed as command-line arguments may require quoting or escaping to prevent the shell from interpreting those characters.

In addition to the fields listed above, QV terms can use these qualifiers:
 - Architectures
 - Category
 - Dependencies
 - License
 - Maintainer
 - Types
 - Version
 - Website

OPTIONS
-h, --help[=false]
    help for search

--names[=false]
    Show library names only.

--omit-releases-details[=false]
    Omit library details far all versions except the latest (produce a more compact JSON output).

OPTIONS INHERITED FROM PARENT COMMANDS
--additional-urls=[]
    Comma-separated list of additional URLs for the Boards Manager.

--config-dir=""
    Sets the default data directory (Arduino CLI will look for configuration file in this directory).

--config-file=""
    The custom config file (if not specified the default will be used).

--json[=false]
    Print the output in JSON format.

--log[=false]
    Print the logs on the standard output.

--log-file=""
    Path to the file where logs will be written.

--log-format="text"
    The output format for the logs, can be: text, json

--log-level="info"
    Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic

--no-color[=false]
    Disable colored output.

EXAMPLE
      debian/build/bin/arduino-cli lib search audio                               # basic search for "audio"
      debian/build/bin/arduino-cli lib search name:buzzer                         # libraries with "buzzer" in the Name field
      debian/build/bin/arduino-cli lib search name=pcf8523                        # libraries with a Name exactly matching "pcf8523"
      debian/build/bin/arduino-cli lib search "author:\"Daniel Garcia\""          # libraries authored by Daniel Garcia
      debian/build/bin/arduino-cli lib search author=Adafruit name:gfx            # libraries authored only by Adafruit with "gfx" in their Name
      debian/build/bin/arduino-cli lib search esp32 display maintainer=espressif  # basic search for "esp32" and "display" limited to official Maintainer
      debian/build/bin/arduino-cli lib search dependencies:IRremote               # libraries that depend on at least "IRremote"
      debian/build/bin/arduino-cli lib search dependencies=IRremote               # libraries that depend only on "IRremote"

SEE ALSO
arduino-cli-lib(1)

HISTORY
15-Aug-2026 Auto generated by spf13/cobra